Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		geoclue
#Epoch:		0
Version:	0.12.0
Release:	1
License:	GNU/LGPL
URL:		http://www.freedesktop.org/wiki/Software/GeoClue
Group:		System/Libraries
Summary:	modular geoinformation service
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libxslt-devel
BuildRequires: gtk2+-devel
BuildRequires: gobject-introspection-devel

BuildRequires: gtk-doc
BuildRequires: gnutls-devel

BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config

%description
Geoclue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the Geoclue project is to make creating location-aware applications as simple as possible. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}exec/geoclue-example
%{_libdir}exec/geoclue-geonames
%{_libdir}exec/geoclue-gsmloc
%{_libdir}exec/geoclue-hostip
%{_libdir}exec/geoclue-localnet
%{_libdir}exec/geoclue-manual
%{_libdir}exec/geoclue-master
%{_libdir}exec/geoclue-nominatim
%{_libdir}exec/geoclue-plazes
%{_libdir}exec/geoclue-skyhook
%{_libdir}exec/geoclue-yahoo
%{_libdir}/libgeoclue.so.*
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service
%{_datadir}/geoclue-providers/

%files devel
%defattr(-,root,root)
%{_includedir}/geoclue
%{_libdir}/libgeoclue.a
%{_libdir}/libgeoclue.la
%{_libdir}/libgeoclue.so
%{_pkgconfig}/geoclue.pc
%{_datadir}/gtk-doc/html/geoclue/Address.html
%{_datadir}/gtk-doc/html/geoclue/ch01.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueAddress.html
%{_datadir}/gtk-doc/html/geoclue/geoclue.devhelp
%{_datadir}/gtk-doc/html/geoclue/geoclue.devhelp2
%{_datadir}/gtk-doc/html/geoclue/geoclue-geoclue-accuracy.html
%{_datadir}/gtk-doc/html/geoclue/geoclue-geoclue-address-details.html
%{_datadir}/gtk-doc/html/geoclue/geoclue-geoclue-error.html
%{_datadir}/gtk-doc/html/geoclue/geoclue-geoclue-types.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueGeocode.html
%{_datadir}/gtk-doc/html/geoclue/Geoclue.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueMasterClient.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueMaster.html
%{_datadir}/gtk-doc/html/geoclue/GeocluePosition.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueProvider.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueReverseGeocode.html
%{_datadir}/gtk-doc/html/geoclue/GeoclueVelocity.html
%{_datadir}/gtk-doc/html/geoclue/Geocode.html
%{_datadir}/gtk-doc/html/geoclue/home.png
%{_datadir}/gtk-doc/html/geoclue/index.html
%{_datadir}/gtk-doc/html/geoclue/index.sgml
%{_datadir}/gtk-doc/html/geoclue/left.png
%{_datadir}/gtk-doc/html/geoclue/MasterClient.html
%{_datadir}/gtk-doc/html/geoclue/Master.html
%{_datadir}/gtk-doc/html/geoclue/Position.html
%{_datadir}/gtk-doc/html/geoclue/ReverseGeocode.html
%{_datadir}/gtk-doc/html/geoclue/right.png
%{_datadir}/gtk-doc/html/geoclue/rn01.html
%{_datadir}/gtk-doc/html/geoclue/rn02.html
%{_datadir}/gtk-doc/html/geoclue/simple-example.html
%{_datadir}/gtk-doc/html/geoclue/simple-master-example.html
%{_datadir}/gtk-doc/html/geoclue/style.css
%{_datadir}/gtk-doc/html/geoclue/up.png
%{_datadir}/gtk-doc/html/geoclue/Velocity.html

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.12.0-1
- initial CCux package release
